#ifndef _x11_xtmtdefs_h
#define _x11_xtmtdefs_h

/*
 * This file should be included by <X11/Intrinsic.h> bracketed 
 * by #ifdef MT_SAFE/#endif.
 */

#define XrmCompileResourceList		XrmCompileResourceListR
#define XtAddActions 	 		XtAddActionsR
#define XtAddCallback 	 		XtAddCallbackR
#define XtAddCallbacks 	 		XtAddCallbacksR
#define XtAddEventHandler 		XtAddEventHandlerR
#define XtAddExposureToRegion 		XtAddExposureToRegionR
#define XtAddGrab 	 		XtAddGrabR
#define XtAddInput 	 		XtAddInputR
#define XtAddRawEventHandler 		XtAddRawEventHandlerR
#define XtAddTimeOut 	 		XtAddTimeOutR
#define XtAddWorkProc			XtAddWorkProcR
#define XtAppAddActionHook 		XtAppAddActionHookR
#define XtAppAddActions 		XtAppAddActionsR
#define XtAppAddInput 	 		XtAppAddInputR
#define XtAppAddTimeOut 		XtAppAddTimeOutR
#define XtAppAddWorkProc 		XtAppAddWorkProcR
#define XtAppCreateShell 		XtAppCreateShellR
#define XtAppError 	 		XtAppErrorR
#define XtAppErrorMsg 	 		XtAppErrorMsgR
#define XtAppGetErrorDatabase		XtAppGetErrorDatabaseR
#define XtAppGetErrorDatabaseText	XtAppGetErrorDatabaseTextR
#define XtAppGetSelectionTimeout 	XtAppGetSelectionTimeoutR
#define XtAppInitialize			XtAppInitializeR
#define XtAppMainLoop			XtAppMainLoopR
#define XtAppNextEvent			XtAppNextEventR
#define XtAppPeekEvent			XtAppPeekEventR
#define XtAppPending			XtAppPendingR
#define XtAppProcessEvent		XtAppProcessEventR
#define XtAppSetErrorHandler		XtAppSetErrorHandlerR
#define XtAppSetErrorMsgHandler		XtAppSetErrorMsgHandlerR
#define XtAppSetFallbackResources	XtAppSetFallbackResourcesR
#define XtAppSetSelectionTimeout	XtAppSetSelectionTimeoutR
#define XtAppSetTypeConverter		XtAppSetTypeConverterR
#define XtAppSetWarningHandler		XtAppSetWarningHandlerR
#define XtAppSetWarningMsgHandler	XtAppSetWarningMsgHandlerR
#define XtAppWarning			XtAppWarningR
#define XtAppWarningMsg			XtAppWarningMsgR
#define XtAugmentTranslations		XtAugmentTranslationsR
#define XtBuildEventMask		XtBuildEventMaskR
#define XtCallAcceptFocus		XtCallAcceptFocusR
#define XtCallActionProc		XtCallActionProcR
#define XtCallCallbackList		XtCallCallbackListR
#define XtCallCallbacks			XtCallCallbacksR
#define XtCallConverter			XtCallConverterR
#define XtCallbackExclusive		XtCallbackExclusiveR
#define XtCallbackNone			XtCallbackNoneR
#define XtCallbackNonexclusive		XtCallbackNonexclusiveR
#define XtCallbackPopdown		XtCallbackPopdownR
#define XtCallbackReleaseCacheRef	XtCallbackReleaseCacheRefR
#define XtCallbackReleaseCacheRefList	XtCallbackReleaseCacheRefListR
#define XtCalloc			XtCallocR
#define XtClass				XtClassR
#define XtCloseDisplay			XtCloseDisplayR
#define XtConvert			XtConvertR
#define XtConvertAndStore		XtConvertAndStoreR
#define XtConvertCase			XtConvertCaseR
#define XtCopyAncestorSensitive		XtCopyAncestorSensitiveR
#define XtCopyDefaultColormap		XtCopyDefaultColormapR
#define XtCopyDefaultDepth		XtCopyDefaultDepthR
#define XtCopyFromParent		XtCopyFromParentR
#define XtCopyScreen			XtCopyScreenR
#define XtCreateApplicationContext	XtCreateApplicationContextR
#define XtCreateApplicationShell	XtCreateApplicationShellR
#define XtCreateManagedWidget		XtCreateManagedWidgetR
#define XtCreatePopupShell		XtCreatePopupShellR
#define XtCreateWidget			XtCreateWidgetR
#define XtDatabase			XtDatabaseR
#define XtDestroyApplicationContext	XtDestroyApplicationContextR
#define XtDestroyGC			XtDestroyGCR
#define XtDestroyWidget			XtDestroyWidgetR
#define XtDirectConvert			XtDirectConvertR
#define XtDisownSelection		XtDisownSelectionR
#define XtDispatchEvent			XtDispatchEventR
#define XtDisplay			XtDisplayR
#define XtDisplayInitialize		XtDisplayInitializeR
#define XtDisplayOfObject		XtDisplayOfObjectR
#define XtDisplayStringConversionWarning XtDisplayStringConversionWarningR
#define XtDisplayToApplicationContext	XtDisplayToApplicationContextR
#define XtError				XtErrorR
#define XtErrorMsg			XtErrorMsgR
#define XtFindFile			XtFindFileR
#define XtFree				XtFreeR
#define XtGetActionKeysym		XtGetActionKeysymR
#define XtGetApplicationNameAndClass	XtGetApplicationNameAndClassR
#define XtGetApplicationResources	XtGetApplicationResourcesR
#define XtGetConstraintResourceList	XtGetConstraintResourceListR
#define XtGetErrorDatabase		XtGetErrorDatabaseR
#define XtGetErrorDatabaseText		XtGetErrorDatabaseTextR
#define XtGetGC				XtGetGCR
#define XtGetKeysymTable		XtGetKeysymTableR
#define XtGetMultiClickTime		XtGetMultiClickTimeR
#define XtGetResourceList		XtGetResourceListR
#define XtGetSelectionRequest		XtGetSelectionRequestR
#define XtGetSelectionTimeout		XtGetSelectionTimeoutR
#define XtGetSelectionValue		XtGetSelectionValueR
#define XtGetSelectionValueIncremental	XtGetSelectionValueIncrementalR
#define XtGetSelectionValues		XtGetSelectionValuesR
#define XtGetSelectionValuesIncremental	XtGetSelectionValuesIncrementalR
#define XtGetSubresources		XtGetSubresourcesR
#define XtGetSubvalues			XtGetSubvaluesR
#define XtGetValues			XtGetValuesR
#define XtGrabButton			XtGrabButtonR
#define XtGrabKey			XtGrabKeyR
#define XtGrabKeyboard			XtGrabKeyboardR
#define XtGrabPointer			XtGrabPointerR
#define XtHasCallbacks			XtHasCallbacksR
#define XtInitialize			XtInitializeR
#define XtInitializeWidgetClass		XtInitializeWidgetClassR
#define XtInsertEventHandler		XtInsertEventHandlerR
#define XtInsertRawEventHandler		XtInsertRawEventHandlerR
#define XtInstallAccelerators		XtInstallAcceleratorsR
#define XtInstallAllAccelerators	XtInstallAllAcceleratorsR
#define XtIsManaged			XtIsManagedR
#define XtIsObject			XtIsObjectR
#define XtIsRealized			XtIsRealizedR
#define XtIsSensitive			XtIsSensitiveR
#define XtIsSubclass			XtIsSubclassR
#define XtKeysymToKeycodeList		XtKeysymToKeycodeListR
#define XtLastTimestampProcessed	XtLastTimestampProcessedR
#define XtMainLoop			XtMainLoopR
#define XtMakeGeometryRequest		XtMakeGeometryRequestR
#define XtMakeResizeRequest		XtMakeResizeRequestR
#define XtMalloc			XtMallocR
#define XtManageChild			XtManageChildR
#define XtManageChildren		XtManageChildrenR
#define XtMenuPopupAction		XtMenuPopupActionR
#define XtMergeArgLists			XtMergeArgListsR
#define XtName				XtNameR
#define XtNameToWidget			XtNameToWidgetR
#define XtNextEvent			XtNextEventR
#define XtOpenDisplay			XtOpenDisplayR
#define XtOverrideTranslations		XtOverrideTranslationsR
#define XtOwnSelection			XtOwnSelectionR
#define XtOwnSelectionIncremental	XtOwnSelectionIncrementalR
#define XtParent			XtParentR
#define XtParseAcceleratorTable		XtParseAcceleratorTableR
#define XtParseTranslationTable		XtParseTranslationTableR
#define XtPeekEvent			XtPeekEventR
#define XtPending			XtPendingR
#define XtPopdown			XtPopdownR
#define XtPopup				XtPopupR
#define XtPopupSpringLoaded		XtPopupSpringLoadedR
#define XtProcessEvent			XtProcessEventR
#define XtQueryGeometry			XtQueryGeometryR
#define XtRealizeWidget			XtRealizeWidgetR
#define XtRealloc			XtReallocR
#define XtRegisterCaseConverter		XtRegisterCaseConverterR
#define XtRegisterGrabAction		XtRegisterGrabActionR
#define XtReleaseCacheRef		XtReleaseCacheRefR
#define XtReleaseGC			XtReleaseGCR
#define XtRemoveActionHook		XtRemoveActionHookR
#define XtRemoveAllCallbacks		XtRemoveAllCallbacksR
#define XtRemoveCallback		XtRemoveCallbackR
#define XtRemoveCallbacks		XtRemoveCallbacksR
#define XtRemoveEventHandler		XtRemoveEventHandlerR
#define XtRemoveGrab			XtRemoveGrabR
#define XtRemoveInput			XtRemoveInputR
#define XtRemoveRawEventHandler		XtRemoveRawEventHandlerR
#define XtRemoveTimeOut			XtRemoveTimeOutR
#define XtRemoveWorkProc		XtRemoveWorkProcR
#define XtResolvePathname		XtResolvePathnameR
#define XtScreen			XtScreenR
#define XtScreenOfObject		XtScreenOfObjectR
#define XtSetErrorHandler		XtSetErrorHandlerR
#define XtSetErrorMsgHandler		XtSetErrorMsgHandlerR
#define XtSetKeyTranslator		XtSetKeyTranslatorR
#define XtSetKeyboardFocus		XtSetKeyboardFocusR
#define XtSetMappedWhenManaged		XtSetMappedWhenManagedR
#define XtSetMultiClickTime		XtSetMultiClickTimeR
#define XtSetSelectionTimeout		XtSetSelectionTimeoutR
#define XtSetSensitive			XtSetSensitiveR
#define XtSetSubvalues			XtSetSubvaluesR
#define XtSetTypeConverter		XtSetTypeConverterR
#define XtSetValues			XtSetValuesR
#define XtSetWMColormapWindows		XtSetWMColormapWindowsR
#define XtSetWarningHandler		XtSetWarningHandlerR
#define XtSetWarningMsgHandler		XtSetWarningMsgHandlerR
#define XtStringConversionWarning	XtStringConversionWarningR
#define XtSuperclass			XtSuperclassR
#define XtToolkitInitialize		XtToolkitInitializeR
#define XtTranslateCoords		XtTranslateCoordsR
#define XtTranslateKey			XtTranslateKeyR
#define XtTranslateKeycode		XtTranslateKeycodeR
#define XtUngrabButton			XtUngrabButtonR
#define XtUngrabKey			XtUngrabKeyR
#define XtUngrabKeyboard		XtUngrabKeyboardR
#define XtUngrabPointer			XtUngrabPointerR
#define XtUninstallTranslations		XtUninstallTranslationsR
#define XtUnmanageChild			XtUnmanageChildR
#define XtUnmanageChildren		XtUnmanageChildrenR
#define XtUnrealizeWidget		XtUnrealizeWidgetR
/*
 * FIXME: protected versions not provided
 * 
 * #define XtVaAppCreateShell		XtVaAppCreateShellR
 * #define XtVaAppInitialize		XtVaAppInitializeR
 * #define XtVaCreateArgsList		XtVaCreateArgsListR
 * #define XtVaCreateManagedWidget	XtVaCreateManagedWidgetR
 * #define XtVaCreatePopupShell		XtVaCreatePopupShellR
 * #define XtVaCreateWidget		XtVaCreateWidgetR
 * #define XtVaGetApplicationResources	XtVaGetApplicationResourcesR
 * #define XtVaGetSubresources		XtVaGetSubresourcesR
 * #define XtVaGetSubvalues		XtVaGetSubvaluesR
 * #define XtVaGetValues		XtVaGetValuesR
 * #define XtVaSetSubvalues		XtVaSetSubvaluesR
 * #define XtVaSetValues		XtVaSetValuesR
 */
#define XtWarning			XtWarningR
#define XtWarningMsg			XtWarningMsgR
#define XtWidgetToApplicationContext	XtWidgetToApplicationContextR
#define XtWindow			XtWindowR
#define XtWindowOfObject		XtWindowOfObjectR
#define XtWindowToWidget		XtWindowToWidgetR
#define _XtCheckSubclassFlag		_XtCheckSubclassFlagR
#define _XtIsSubclassOf			_XtIsSubclassOfR

#endif
